HostingMigrations

Get migration

GET/api/migrations/{migration_code}

Returns details for a single migration.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

migration_code*string

Migration code: MG followed by 8 digits. Example: MG12345678.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/migrations/string" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
{
  "resources": [
    {
      "status": "validating",
      "status_detail": "first execution",
      "code": "string",
      "csv_file_name": "string",
      "original_csv_file_name": "string",
      "csv_file_size": 0,
      "preset": "string",
      "resources_has_errors": true,
      "admin_first_execution_override": true,
      "admin_second_execution_override": true,
      "resources": 0,
      "can_delete": true,
      "execute_now": true,
      "is_late": true,
      "owner": "string",
      "created_at": "string",
      "updated_at": "string",
      "first_execution_date": "string",
      "second_execution_date": "string",
      "from_date": "string"
    }
  ],
  "pagination": {}
}
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}